import type { ClientOptions } from '@algolia/client-common';
export { apiClientVersion } from '../src/recommendClient';
export * from '../model';
/**
 * The client type.
 */
export type RecommendClient = ReturnType<typeof recommendClient>;
export declare function recommendClient(appId: string, apiKey: string, options?: ClientOptions): {
    transporter: import("@algolia/client-common").Transporter;
    appId: string;
    clearCache(): Promise<void>;
    _ua: string;
    addAlgoliaAgent(segment: string, version?: string): void;
    customDelete({ path, parameters }: import("../model").CustomDeleteProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<Record<string, any>>;
    customGet({ path, parameters }: import("../model").CustomGetProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<Record<string, any>>;
    customPost({ path, parameters, body }: import("../model").CustomPostProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<Record<string, any>>;
    customPut({ path, parameters, body }: import("../model").CustomPutProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<Record<string, any>>;
    deleteRecommendRule({ indexName, model, objectID }: import("../model").DeleteRecommendRuleProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<import("../model").DeletedAtResponse>;
    getRecommendRule({ indexName, model, objectID }: import("../model").GetRecommendRuleProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<import("../model").RecommendRule>;
    getRecommendStatus({ indexName, model, taskID }: import("../model").GetRecommendStatusProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<import("../model").GetRecommendTaskResponse>;
    getRecommendations(getRecommendationsParams: import("../model").GetRecommendationsParams | import("../model").LegacyGetRecommendationsParams, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<import("../model").GetRecommendationsResponse>;
    searchRecommendRules({ indexName, model, searchRecommendRulesParams, }: import("../model").SearchRecommendRulesProps, requestOptions?: import("@algolia/client-common").RequestOptions): Promise<import("../model").SearchRecommendRulesResponse>;
};
//# sourceMappingURL=node.d.ts.map