import type { Condition } from './condition';
import type { Consequence } from './consequence';
import type { RecommendRuleMetadata } from './recommendRuleMetadata';
/**
 * Recommend rule.
 */
export type RecommendRule = {
    _metadata?: RecommendRuleMetadata;
    /**
     * Unique identifier of a rule object.
     */
    objectID?: string;
    condition?: Condition;
    consequence?: Consequence;
    /**
     * Description of the rule\'s purpose. This can be helpful for display in the Algolia dashboard.
     */
    description?: string;
    /**
     * Indicates whether to enable the rule. If it isn\'t enabled, it isn\'t applied at query time.
     */
    enabled?: boolean;
};
//# sourceMappingURL=recommendRule.d.ts.map